const sqlite3 = require('sqlite3');
const fs = require('fs');

const path = 'celi.db';

const existed = fs.existsSync(path);
const db = new sqlite3.Database(path);

db.query = function(sql, params) {
	return new Promise((resolve, reject) => {
		db.all(sql, params, (error, rows) => {
			if (error)
				reject(error);
			else
				resolve({ rows: rows });
		});
	});
};

db.ready = new Promise(async resolve => {
	if (!existed)
		for (let sql of fs.readFileSync('./db/1-init.sql').toString().split(';'))
			if (sql.trim())
				await db.query(sql);
	resolve();
});

module.exports = db;
